Create category
Lazily creates the organization's knowledge base if this is its first write.
Lazily creates the organization's knowledge base if this is its first write.
POST https://api.weav.com/v1/kb-categories
Requires a token with the external-api:write ability.
Body
namestringrequiredMaximum length: 255.
slugstring | nullAuto-generated from name when omitted
Maximum length: 255.
section_idstring | nullFormat: uuid.
Request
cURL
curl --request POST \
--url 'https://api.weav.com/v1/kb-categories' \
--header "Authorization: Bearer ${WEAV_API_TOKEN}" \
--header 'Content-Type: application/json' \
--data '{
"name": "string"
}'
JavaScript
const body = {
"name": "string"
};
const response = await fetch("https://api.weav.com/v1/kb-categories", {
method: "POST",
headers: {
Authorization: `Bearer ${process.env.WEAV_API_TOKEN}`,
'Content-Type': 'application/json'
},
body: JSON.stringify(body)
});
console.log(await response.json());
Python
import os
import requests
headers = {"Authorization": f"Bearer {os.environ['WEAV_API_TOKEN']}"}
body = {"name": "string"}
response = requests.post("https://api.weav.com/v1/kb-categories", headers=headers, json=body)
print(response.json())
PHP
use GuzzleHttp\Client;
$client = new Client();
$response = $client->request('POST', 'https://api.weav.com/v1/kb-categories', [
'headers' => ['Authorization' => 'Bearer '.getenv('WEAV_API_TOKEN')],
'json' => array (
'name' => 'string',
),
]);
echo $response->getBody();
Response
201 Created
{
"id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
"name": "string",
"slug": "string",
"section_id": "9b2f6c1e-3d4a-4f5b-8c7d-1e2f3a4b5c6d",
"position": 0,
"created_at": "2026-01-01T00:00:00Z",
"updated_at": "2026-01-01T00:00:00Z"
}
422 Unprocessable Content
{
"error": "Error message",
"code": "ERROR_CODE",
"errors": {}
}
401Unauthorized
Response fields
idstringFormat: uuid.
namestringslugstringsection_idstring | nullFormat: uuid.
positioninteger | nullcreated_atstring | nullFormat: date-time.
updated_atstring | nullFormat: date-time.
